Subject: bug#27889: Polkit actions are not updated after guix system reconfigure

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 1 Aug 2017 09:17:53 +0200

> polkitd isn't managed by shepherd. It looks to be managed by dbus and
> I'm not sure how to restart an individual dbus service (or if you even
> can). Restarting dbus-system is obviously too intrusive (it does
> reload the policy files at the expense of restarting my X session :)).

Yeah, we specifically don't restart dbus because of that.

But I guess we could still send SIGHUP to polkitd.

I'm not sure how to find out which polkitd it is - if we don't want to restart a superset.

Also, pstree says that polkitd forked and started another polkitd.  There are two polkitd.  Which one has to get the SIGHUP?